﻿/////////////////////////////////////////////////////////////////////
var showError = function (container, message) {
    $(container + " #spinner").hide();
    $(container + " #error").html('<h3><span class=\"error\"> ' + message + ' </span></h3>');
    $(container + " #error").show();
}
/////////////////////////////////////////////////////////////////////
var showResult = function (container, message) {
    $(container + " #spinner").hide();
    $(container + " #error").hide();
    $(container + " #result").html('<h3>' + message + ' </h3>');
    $(container + " #result").show();
}

/////////////////////////////////////////////////////////////////////
var showProgress = function (container) {
    $(container + " #spinner").show();
    $(container + " #error").hide();
    $(container + " #result").hide();
}
/////////////////////////////////////////////////////////////////////
$(function () {

    var url = $("#LicenseUploadAjax").val();
    $form = $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        autoUpload: true,
        change: function (e, data) {
            if (data.files.length > 0) {
                var file = data.files.length[0];
                showProgress('#uploadStatusModal');

                $('#uploadStatusModal').modal('show');
            }
        },
        done: function (e, data) {
            if (data != null && data.result != null) {

                if (data.result.Result == true) {
                    showResult('#uploadStatusModal', data.result.Message);
                    $('#status').removeClass("text-danger");
                    $('#licenseIssue').text("");
                } else {
                    showError('#uploadStatusModal', data.result.status);
                    $('#status').addClass("text-danger");
                    $('#licenseIssue').text(data.result.status);
                }                
                
                $('#status').val(data.result.status);
                $('#company_name').val(data.result.company_name);
                $('#company_address').val(data.result.company_address);
                $('#company_inn').val(data.result.company_inn);
                $('#personal_key').val(data.result.personal_key);
                $('#valid_till').val(data.result.valid_till);
            }            
        }
    });

    $("#btnCancelModal").click(function () {
        $('#uploadStatusModal').modal('hide');
    });
    
});
