﻿$(document).ready(function () {

    $(function () {

        $("#medicineForm").validate({
            lang: 'ru',
            rules: {
                gtin: {
                    required: true,
                    minlength: 14,
                    maxlength: 14,
                    digits: true
                },
                name: {
                    required: true,
                    maxlength: 255
                },
                product_shelf_life: {
                    required: true,
                    range: [1, 65535]
                }
            },
            submitHandler: function (form) {
                form.submit();
            }
        });
    });

});