﻿////////////////////////////////////////////////////////////////////////
// Модуль LinkedTables
////////////////////////////////////////////////////////////////////////
var LinkedTables = (function () {

    var Columns = {
        table: 0,
        info: 1,
        url: 2,
        action: 3
    };

    ///////////////////////////////////////////////////////
    var load = function (id, url) {
        linkedTables = $('#linkedTables').dataTable({
            language: {
                "url": $("#lang").val()
            },
            "bDestroy": true,
            deferRender: true,
            scrollY: 115,
            scrollCollapse: true,
            scroller: true,
            "bProcessing": true,
            "bFilter": false,
            "bPaginate": false,
            "bInfo": false,
            "autoWidth": false,
            "columnDefs": [
                    {
                        "orderable": false,
                        "targets": -1,
                        "data": null,
                        render: function (data, type, full, meta) {
                            var url = full[LinkedTables.Columns.url];
                            var html = "<div class=\"dropdown hor-mid\">" +
                                                    "<a href=" + url + " onClick=\"window.location.href='" + url + "'" + "\" class=\"dropdown-toggle icon-box infont\" data-placement=\"bottom\" title=\"Перейти\" data-toggle=\"dropdown\">" +
                                                        "<i class=\"fa fa-share table-icons-big\"></i>" +
                                                    "</a>" +
                                                "</div>";
                            return html;
                        }
                    }
            ]
        });

        $.get(url, { id: id })
           .done(function (data) {
               if (data.Result == true) {
                   linkedTables.api().clear().draw();
                   linkedTables.api().rows.add(data.LinkedTables).draw();
               }
           })
         .fail(function () {
             // todo
         });
    };

    return {
        Columns: Columns,
        load: load
    }

})();