﻿/////////////////////////////////////////////////////////////////////////////////////////////////////
var PackageStatus = {
    New: 0,
    Empty: 1,
    Printed: 2,            
    Aggregated: 3,
    ControlSample: 4,
    Shipped: 5,
    Rejected: 6,
    Waste: 7,
    Withdrawal: 8
}
/////////////////////////////////////////////////////////////////////////////////////////////////////
var PackageType = {
    Packet: 0,
    Wrapper: 1,
    Case: 2,
    Pallet: 3
}
/////////////////////////////////////////////////////////////////////////////////////////////////////
var popUpHideAll = function (container) {
    $(container + " .animate-panel").hide();
    $(container + " #spinner").hide();
    $(container + " #error").hide();
}
/////////////////////////////////////////////////////////////////////////////////////////////////////
var popUpShowProgress = function (container) {
    $(container + " .animate-panel").hide();
    $(container + " #spinner").show();
    $(container + " #error").hide();
}
/////////////////////////////////////////////////////////////////////////////////////////////////////
var popUpShowError = function (container, message) {
    $(container + " .animate-panel").hide();
    $(container + " #spinner").hide();
    $(container + " #error").html('<h3><span class=\"text-danger\">' + message + '</span></h3>');
    $(container + " #error").show();
}
/////////////////////////////////////////////////////////////////////////////////////////////////////
var popUpShowResults = function (container) {
    $(container + " #spinner").hide();
    $(container + " #error").hide();
    $(container + " .animate-panel").show();
    $(container + " .animate-panel").animatePanel();
}
/////////////////////////////////////////////////////////////////////////
var disableTextBox = function (field) {
    if (!$(field).hasClass("disabled-input")) {
        $(field).addClass("disabled-input");
        $(field).prop("readonly", true);
    }
}
/////////////////////////////////////////////////////////////////////////
var disableDropDownList = function (field) {
    $(field).prop("disabled", true);    
}
/////////////////////////////////////////////////////////////////////////
var disableCheckbox = function (field) {
    $(field).prop("disabled", true);
}
/////////////////////////////////////////////////////////////////////////
var enableTextBox = function (field) {
    if ($(field).hasClass("disabled-input")) {
        $(field).removeClass("disabled-input");
        $(field).prop("readonly", false);
    }
}
/////////////////////////////////////////////////////////////////////////
var enableDropDownList = function (field) {
    $(field).prop("disabled", false);
}
/////////////////////////////////////////////////////////////////////////
var enableCheckbox = function (field) {
    $(field).prop("disabled", false);
}
/////////////////////////////////////////////////////////////////////////
var hideItem = function (item) {
    if (!$(item).hasClass("invisible")) {
        $(item).addClass("invisible");
    }
}
/////////////////////////////////////////////////////////////////////////
var showItem = function (item) {
    if ($(item).hasClass("invisible")) {
        $(item).removeClass("invisible");
    }
}
/////////////////////////////////////////////////////////////////////////
var scrollTo = function (target) {
    $('html, body').animate({
        scrollTop: $("#" + target).offset().top
    }, 500);
};
////////////////////////////////////////////////////////////////////////
var redirectTo = function (modal, url) {
    $('#' + modal).modal('hide');
    window.location.href = url;
};